# my global config
global:
  scrape_interval:     15s # Set the scrape interval to every 15 seconds. Default is every 1 minute.
  evaluation_interval: 15s # Evaluate rules every 15 seconds. The default is every 1 minute.
  # scrape_timeout is set to the global default (10s).

# Alertmanager configuration
alerting:
  alertmanagers:
  - static_configs:
    - targets:
      - localhost:9093

# Load rules once and periodically evaluate them according to the global 'evaluation_interval'.
rule_files:
   - alertrules.yml


# A scrape configuration containing exactly one endpoint to scrape:
# Here it's Prometheus itself.
scrape_configs:
  # The job name is added as a label `job=<job_name>` to any timeseries scraped from this config.
  - job_name: 'prometheus'

    # metrics_path defaults to '/metrics'
    # scheme defaults to 'http'.

    static_configs:

    - targets: ['localhost:9090']
      labels:
        instance: 'prometheus'


  - job_name: 'node_exporter'
    static_configs:
    - targets: ['localhost:9100']
      labels:
        instance: 'prometheus'

    - targets: ['{{  hostvars['grafana']['ansible_host']  }}:9100']
      labels:
        instance: 'grafana'
    - targets: ['{{  hostvars['app_1_prod']['ansible_host']  }}:9100']
      labels:
        instance: 'prod1'
    - targets: ['{{  hostvars['app_2_prod']['ansible_host']  }}:9100']
      labels:
        instance: 'prod2'
    - targets: ['{{  hostvars['app_1_dev']['ansible_host']  }}:9100']
      labels:
        instance: 'dev1'
    - targets: ['{{  hostvars['app_2_dev']['ansible_host']  }}:9100']
      labels:
        instance: 'dev2'
